summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-gsettings-1
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2013-08-05 14:47:45 +0200
committerDaiki Ueno <ueno@gnu.org>2013-08-06 15:55:07 +0200
commit9a87e6aadd91994d11f1edb33caf0b786d79d86e (patch)
treeddc17e38a6550137692da2254d3b43f89400af55 /gettext-tools/tests/xgettext-gsettings-1
parent534cd8f6a899a39c73d118e938ae3791003f4871 (diff)
downloadexternal_gettext-9a87e6aadd91994d11f1edb33caf0b786d79d86e.zip
external_gettext-9a87e6aadd91994d11f1edb33caf0b786d79d86e.tar.gz
external_gettext-9a87e6aadd91994d11f1edb33caf0b786d79d86e.tar.bz2
xgettext: support GSettings schema file
Diffstat (limited to 'gettext-tools/tests/xgettext-gsettings-1')
-rw-r--r--gettext-tools/tests/xgettext-gsettings-193
1 files changed, 93 insertions, 0 deletions
diff --git a/gettext-tools/tests/xgettext-gsettings-1 b/gettext-tools/tests/xgettext-gsettings-1
new file mode 100644
index 0000000..1e0d3b7
--- /dev/null
+++ b/gettext-tools/tests/xgettext-gsettings-1
@@ -0,0 +1,93 @@
+#!/bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test of GSettings support.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles xg-gs-1-empty.gschema.xml"
+cat <<EOF > xg-gs-1-empty.gschema.xml
+<?xml version="1.0"?>
+<schemalist/>
+EOF
+
+tmpfiles="$tmpfiles xg-gs-1.pot"
+: ${XGETTEXT=xgettext}
+${XGETTEXT} -o xg-gs-1.pot xg-gs-1-empty.gschema.xml 2>/dev/null
+test $? = 0 || {
+ echo "Skipping test: xgettext was built without GSettings support"
+ rm -fr $tmpfiles; exit 77
+}
+
+tmpfiles="$tmpfiles xg-gs-1.gschema.xml"
+cat <<EOF > xg-gs-1.gschema.xml
+<?xml version="1.0"?>
+<schemalist>
+ <schema id="org.gnome.example" path="/org/gnome/example/">
+ <key name="foo" type="i">
+ <default>0</default>
+ <summary context="Foo">Example Integer Key</summary>
+ <description>
+ The example integer key to test that the default value is not
+ translated.
+ </description>
+ </key>
+ <key name="bar" type="s">
+ <default l10n="messages">
+ ' foo bar baz'
+ </default>
+ </key>
+ <key name="baz" type="s">
+ <summary context="Baz"></summary>
+ </key>
+ </schema>
+</schemalist>
+EOF
+
+tmpfiles="$tmpfiles xg-gs-1.pot"
+: ${XGETTEXT=xgettext}
+${XGETTEXT} --add-comments -o - xg-gs-1.gschema.xml | grep -v 'POT-Creation-Date' > xg-gs-1.pot
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles xg-gs-1.ok"
+cat <<EOF > xg-gs-1.ok
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: xg-gs-1.gschema.xml:6
+msgid "Example Integer Key"
+msgstr ""
+
+#: xg-gs-1.gschema.xml:7
+msgid ""
+"The example integer key to test that the default value is not translated."
+msgstr ""
+
+#: xg-gs-1.gschema.xml:13
+msgid "' foo bar baz'"
+msgstr ""
+EOF
+
+: ${DIFF=diff}
+${DIFF} xg-gs-1.ok xg-gs-1.pot
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result